import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: 'statistics',
        loadChildren: () => import('./statistics/statistics.module').then(m => m.GitsearchStatisticsModule),
      },
      /* jhipster-needle-add-entity-route - JHipster will add entity modules routes here */
    ]),
  ],
})
export class GitSearchV2EntityModule {}
