import { NgModule } from '@angular/core';

import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { ExerciseCardComponent } from './exercise-card/exercise-card.component';
import { ExerciseDetailsComponent } from './exercise-details/exercise-details.component';
import { ExerciseMetadataComponent } from './exercise-details/exercise-metadata/exercise-metadata.component';
import { ExerciseMetadataAtomicItemComponent } from './exercise-details/exercise-metadata/exercise-metadata-atomic-item/exercise-metadata-atomic-item.component';
import { ExerciseMetadataListItemComponent } from './exercise-details/exercise-metadata/exercise-metadata-list-item/exercise-metadata-list-item.component';

@NgModule({
  imports: [GitSearchV2SharedModule],
  declarations: [
    ExerciseCardComponent,
    ExerciseDetailsComponent,
    ExerciseMetadataComponent,
    ExerciseMetadataAtomicItemComponent,
    ExerciseMetadataListItemComponent,
  ],
  exports: [ExerciseCardComponent, ExerciseDetailsComponent],
})
export class ExerciseModule {}
